View Issue Details

IDProjectCategoryView StatusLast Update
0013583CentOS-7kernelpublic2018-01-24 23:47
Reporterguohao 
PrioritylowSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OS7.1.1503OS Version
Product Version7.1-1503 
Target VersionFixed in Version 
Summary0013583: upstream had fixed this issues in 2015, tcp: tcp_make_synack() should clear skb->tstamp
Descriptiona timestamp error when receive a [syn, ack] package.

12:05:28.460791 IP localhost.35430 > localhost.gap: Flags [S], seq 3466056740, win 43690, options [mss 65495,sackOK,TS val 419726643 ecr 0,nop,wscale 9], length 0
01:23:28.363521 IP localhost.gap > localhost.35430: Flags [S.], seq 1329068456, ack 3466056741, win 43690, options [mss 65495,sackOK,TS val 419726643 ecr 419726643,nop,wscale 9], length 0

2:05:33.459519 IP localhost.35792 > localhost.gap: Flags [S], seq 2225117609, win 43690, options [mss 65495,sackOK,TS val 419731641 ecr 0,nop,wscale 9], length 0
07:21:14.615065 IP localhost.gap > localhost.35792: Flags [S.], seq 4271864930, ack 2225117610, win 43690, options [mss 65495,sackOK,TS val 419731641 ecr 419731641,nop,wscale 9], length 0

12:05:33.460681 IP localhost.35794 > localhost.gap: Flags [S], seq 221847288, win 43690, options [mss 65495,sackOK,TS val 419731643 ecr 0,nop,wscale 9], length 0
07:21:23.205000 IP localhost.gap > localhost.35794: Flags [S.], seq 539205265, ack 221847289, win 43690, options [mss 65495,sackOK,TS val 419731643 ecr 419731643,nop,wscale 9], length 0
12:05:33.460702 IP localhost.35794 > localhost.gap: Flags [.], ack 1, win 86, options [nop,nop,TS val 419731643 ecr 419731643], length 0
Additional Informationpatch: https://patchwork.kernel.org/patch/6275821/

changelog: https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.19.6
Tags3.10.0-229.el7
abrt_hash
URL

Activities

guohao

guohao

2017-07-21 04:14

reporter  

1-100 tcp.pcap (123,609 bytes)
toracat

toracat

2017-07-21 05:52

manager   ~0029705

We will apply the patch to the CentOSPlus kernel. However, to get it into the distro kernel, you need to report it on http://bugzilla.redhat.com. Once it's fixed in the RHEL kernel, it will get rebuilt and fixed in CentOS.
toracat

toracat

2017-07-21 05:58

manager   ~0029707

commit b50edd7812852d989f2ef09dcfc729690f54a42d
guohao

guohao

2017-07-21 06:11

reporter   ~0029708

got it, thanks
guohao

guohao

2017-08-29 06:51

reporter   ~0029955

Fixed In Version: kernel-3.10.0-703.el7
toracat

toracat

2017-08-29 13:39

manager   ~0029958

Is that RHEL 7.5? Mention of any plan to backport to 7.4?
toracat

toracat

2017-09-07 21:32

manager   ~0030023

The patch is in kernel-plus 3.10.0-693.el7 (CentOS 7.4.1708).
toracat

toracat

2018-01-24 23:47

manager   ~0031025

Confirmed that the patch is in the 7.5 beta kernel (830.el7) released today upstream.

Closing as 'resolved'.

Issue History

Date Modified Username Field Change
2017-07-21 04:14 guohao New Issue
2017-07-21 04:14 guohao File Added: 1-100 tcp.pcap
2017-07-21 04:14 guohao Tag Attached: 3.10.0-229.el7
2017-07-21 05:52 toracat Note Added: 0029705
2017-07-21 05:58 toracat Note Added: 0029707
2017-07-21 05:59 toracat Status new => assigned
2017-07-21 05:59 toracat Additional Information Updated View Revisions
2017-07-21 06:11 guohao Note Added: 0029708
2017-08-29 06:51 guohao Note Added: 0029955
2017-08-29 13:39 toracat Note Added: 0029958
2017-09-07 21:32 toracat Note Added: 0030023
2018-01-24 23:47 toracat Note Added: 0031025
2018-01-24 23:47 toracat Status assigned => resolved
2018-01-24 23:47 toracat Resolution open => fixed